• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

Как установить Wifiphisher на KALI LINUX 2020.1

Mappeyka

New member
01.03.2020
1
0
BIT
1
Доброго времени суток, пытался всеми известными способами установить wifiphisher, не получается может кто ставил ее на 2020.1?
 

Dmitry__

Green Team
14.01.2017
193
26
BIT
45
sudo apt update
sudo apt install wifiphisher

всё прекрасно ставится и запускается. мб у вас репозиториев нету?проверьте в /etc/apt/sources.list
 

Вложения

  • Screenshot from 2020-03-07 19-16-21.png
    Screenshot from 2020-03-07 19-16-21.png
    96,4 КБ · Просмотры: 737

Gregory House

New member
06.05.2020
1
0
BIT
0
Что конкретно не получается? Какая система? Какие ошибки?

Ассалам 'алейкум!
Что можно сделать, чтобы установилось и заработал "wifiphisher"?
Если Вам не сложно, пожалуйста пропищите полностью, а то я вообще "Noob" в Linux.
kali-linux-2018.1-amd64.iso

1588723813383.png
 

Нико Ла

New member
15.02.2021
2
0
BIT
0
Kaк запустить wifiphisher? последний скаченный с репозитория.
Код:
python wifiphisher.py
python: can't open file 'wifiphisher.py': [Errno 2] No such file or directory
 

Нико Ла

New member
15.02.2021
2
0
BIT
0
Просто wifiphisher в консоль.
да я уже писал просто wifiphisher не помогло, может директорию правильно нужно указывать?
Код:
wifiphisher
Traceback (most recent call last):
  File "/usr/bin/wifiphisher", line 33, in <module>
    sys.exit(load_entry_point('wifiphisher==1.4', 'console_scripts', 'wifiphisher')())
  File "/usr/bin/wifiphisher", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3/dist-packages/wifiphisher/pywifiphisher.py", line 25, in <module>
    import wifiphisher.common.extensions as extensions
  File "/usr/lib/python3/dist-packages/wifiphisher/common/extensions.py", line 12, in <module>
    import scapy.arch.linux as linux
  File "/usr/lib/python3/dist-packages/scapy/arch/__init__.py", line 27, in <module>
    from scapy.arch.bpf.core import get_if_raw_addr
  File "/usr/lib/python3/dist-packages/scapy/arch/bpf/core.py", line 30, in <module>
    LIBC = cdll.LoadLibrary(find_library("libc"))
  File "/usr/lib/python3.9/ctypes/util.py", line 341, in find_library
    _get_soname(_findLib_gcc(name)) or _get_soname(_findLib_ld(name))
  File "/usr/lib/python3.9/ctypes/util.py", line 147, in _findLib_gcc
    if not _is_elf(file):
  File "/usr/lib/python3.9/ctypes/util.py", line 99, in _is_elf
    with open(filename, 'br') as thefile:
FileNotFoundError: [Errno 2] No such file or directory: b'liblibc.a'

No such file or directory: b'liblibc.a' - что это?
 

mcfly

Green Team
08.09.2016
615
619
BIT
246
На последней версии kali 2020.4 все работает проверил apt install wifiphisher. Cнеси старую версию kali. Никакие директории трогать не надо и репы не трогать бесполезно.
 
19.02.2021
10
0
BIT
0
Kaк запустить wifiphisher? последний скаченный с репозитория.
Код:
python wifiphisher.py
python: can't open file 'wifiphisher.py': [Errno 2] No such file or directory
Для тех кто, не читает файлы README:

cd wifiphisher
sudo python setup.py install
wifiphisher

,чтоб открыть README файл нужно в консоли написать:

nano README.md
 

mcfly

Green Team
08.09.2016
615
619
BIT
246
Последнее редактирование:

MatyGadze

Member
19.06.2020
5
0
BIT
0
Ребят че делать?
Заранее спасибо
┌──(root💀kali)-[~]
└─# wifiphisher 1 ⨯ 1 ⚙
[*] Starting Wifiphisher 1.4GIT ( ) at 2022-01-16 01:28
[+] Timezone detected. Setting channel range to 1-13
Traceback (most recent call last):
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/pyw.py", line 1070, in devinfo
rmsg = nl.nl_recvmsg(nlsock)
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/lib/libnl.py", line 244, in nl_recvmsg
msg = nlmsg_fromstream(sock.recv())
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/lib/libnl.py", line 444, in nlmsg_fromstream
raise error(abs(e),strerror(abs(e)))
libnl.error: [Errno 19] No such device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/wifiphisher", line 33, in <module>
sys.exit(load_entry_point('wifiphisher==1.4', 'console_scripts', 'wifiphisher')())
File "/usr/local/lib/python3.9/dist-packages/wifiphisher-1.4-py3.9.egg/wifiphisher/pywifiphisher.py", line 729, in run
engine.start()
File "/usr/local/lib/python3.9/dist-packages/wifiphisher-1.4-py3.9.egg/wifiphisher/pywifiphisher.py", line 408, in start
self.opmode.initialize(args)
File "/usr/local/lib/python3.9/dist-packages/wifiphisher-1.4-py3.9.egg/wifiphisher/common/opmode.py", line 54, in initialize
interfaces.is_add_vif_required(args.interface,
File "/usr/local/lib/python3.9/dist-packages/wifiphisher-1.4-py3.9.egg/wifiphisher/common/interfaces.py", line 813, in is_add_vif_required
card = pyw.getcard(vif)
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/pyw.py", line 277, in getcard
if nlsock is None: return _nlstub_(getcard, dev)
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/pyw.py", line 2279, in _nlstub_
return fct(*argv)
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/pyw.py", line 278, in getcard
return devinfo(dev, nlsock)['card']
File "/usr/local/lib/python3.9/dist-packages/PyRIC-0.1.6.4-py3.9.egg/pyric/pyw.py", line 1083, in devinfo
raise pyric.error(pyric.EPROTONOSUPPORT, "Device does not support nl80211")
pyric.error: [Errno 93] Device does not support nl80211
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!